Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Wed, 10 Aug 2022 07:47:44 +0000

>
> In any case, when I floor 'C-v' in dictionary.json now, whether 
> narrowing is applied in 'handle_fontified_prop' or not, I see the buffer 
> stutter around 2%, then go on and freeze around the 9% mark. When I 
> release 'C-v' after waiting a while, it ends up at 12% or 14%.
>
> Or if I go to EOB and floor 'M-v', both versions freeze almost right 
> away. So it doesn't look like one is an order of a magnitude faster than 
> the other, or at least not anymore.
>
> C-n and C-p are also pretty sluggish with both versions.
>

You must be doing something wrong in your tests.  You have a faster 
computer than mine, and on my computer, with emacs -Q, neither C-v nor M-v 
nor C-n nor C-p are sluggish.